local core = LibStub("AceAddon-3.0"):GetAddon("SilverDragon")
local module = core:NewModule("Mod_AnnounceFakeRares", "AceConsole-3.0")

function module:OnInitialize()
	self:RegisterChatCommand("afr", "OnChatCommand")
end

function module:OnChatCommand(input)
	local command, arg1, arg2 = self:GetArgs(input, 3)
	local unit = UnitClass("target")
	if not unit then
		unit = UnitClass("player")
	end

	local mapID = C_Map.GetBestMapForUnit("player")
	local position = C_Map.GetPlayerMapPosition(mapID, "player")
	local posX, posY = position:GetXY()

	if command then
		command = command:lower()
		if command == 'send' then
			core.events:Fire("Seen", arg1, mapID, posX, posY, false, "Send", false)
			self:Print("Sent notification for mob id: " .. arg1)
		elseif command == 'bomb' then
			for i=0,arg2,1 do
				core.events:Fire("Seen", arg1, mapID, posX, posY, false, "Bomb", false)
			end
		end
	else
		self:Print("Commands")
		self:Print("  --> /afr send <id>")
		self:Print("  --> /afr bomb <id> <amount>")
	end
end